;/****************************************************************
;KPIT Cummins Infosystems Ltd, Pune, India. 25-Oct-2005.
;
;This program is distributed in the hope that it will be useful,
;but WITHOUT ANY WARRANTY; without even the implied warranty of
;MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
;
;*****************************************************************/


; Fixed Vector Table

	 .section	.vects,"a",@progbits
	 .type	_HardwareVectors, @object
	 .size	_HardwareVectors, 36
_HardwareVectors:
 
    .long    _UndefinedInstruction_ISR
    .long    _Overflow_ISR
    .long    _BRK_Instruction_ISR
    .long    _AddressMatch_ISR
    .long    0    	    ;Reserved Space
    .long    _WatchdogTimer_ISR
    .long    0    	    ;Reserved Space
    .long    _NMI_ISR
	.long     (_start + 0xFF000000) 	;Reset ISR


	 .section	.var_vects,"a",@progbits
	 .type	_VariableVectors, @object
	 .size	_VariableVectors, 256

; Add vector table entries here
; Change size of vector table accordingly
; Variable Vector Table 

 _VariableVectors:
	.long    _BRK_ISR
    .long    0    	    ;Reserved 1
    .long    0    	    ;Reserved 2
    .long    0    	    ;Reserved 3
	.long    0    	    ;Reserved 4
    .long    0    	    ;Reserved 5
    .long    0    	    ;Reserved 6
	.long    0    	    ;Reserved 7
	.long    _DMA0_ISR
	.long    _DMA1_ISR
	.long    _DMA2_ISR
	.long    _DMA3_ISR
	.long    _TIMER_A0_ISR
	.long    _TIMER_A1_ISR
	.long    _TIMER_A2_ISR
	.long    _TIMER_A3_ISR	
	.long    _TIMER_A4_ISR
	.long    _UART0_TRANSMISSION_ISR
	.long    _UART0_RECEPTION_ISR
	.long    _UART0_TRANSMISSION_ISR
	.long    _UART0_RECEPTION_ISR
	.long	 _TIMER_B0_ISR	
	.long	 _TIMER_B1_ISR	
	.long	 _TIMER_B2_ISR	
	.long	 _TIMER_B3_ISR	
	.long	 _TIMER_B4_ISR	
	.long 	 _INT_5_ISR
	.long 	 _INT_4_ISR
	.long 	 _INT_3_ISR
	.long 	 _INT_2_ISR
	.long 	 _INT_1_ISR
	.long 	 _INT_0_ISR
	.long	 _TIMER_B5_ISR
	.long    _UART2_TRANSMISSION_ISR
	.long    _UART2_RECEPTION_ISR
	.long    _UART3_TRANSMISSION_ISR
	.long    _UART3_RECEPTION_ISR	
	.long    _UART4_TRANSMISSION_ISR
	.long    _UART4_RECEPTION_ISR								
	.long 	 _UART_2_BUS_COLLISION_ISR
	.long 	 _UART_0_AND_3_BUS_COLLISION_ISR
	.long 	 _UART_1_AND_4_BUS_COLLISION_ISR
	.long	 _AD_0_ISR
	.long 	 _KEY_INPUT_ISR
	.long 	 _INTELLIGENT_IO_INTR_0_CAN3_ISR
	.long 	 _INTELLIGENT_IO_INTR_1_CAN4_ISR
	.long 	 _INTELLIGENT_IO_INTR_2_ISR
	.long 	 _INTELLIGENT_IO_INTR_3_ISR
	.long 	 _INTELLIGENT_IO_INTR_4_ISR
	.long 	 _INTELLIGENT_IO_INTR_5_CAN5_ISR
	.long 	 _INTELLIGENT_IO_INTR_6_ISR
	.long 	 _INTELLIGENT_IO_INTR_7_ISR
	.long 	 _INTELLIGENT_IO_INTR_8_ISR
	.long 	 _INTELLIGENT_IO_INTR_9_CAN0_ISR	
	.long 	 _INTELLIGENT_IO_INTR_10_CAN1_ISR
	.long 	 _INTELLIGENT_IO_INTR_11_CAN2_ISR
	.long 	 _INT_Instruction_ISR


 .end 
